#include <iostream>

using namespace std;

int main()
{

    long long int n;
    cin>>n;
    long long int t[n+1];
    t[0]=-1;
    for(int i=1;i<=n;i++)
        cin>>t[i];

    long long int q;
    cin>>q;
    long long int elso[q], masodik[q];
    for(int i=0;i<q;i++)
        cin>>elso[i]>>masodik[i];

    //cout<<"bemenet jo";


    int seged[n+1];
    seged[0]=0;
    for(int i=1;i<=n;i++)
        if(t[i]<t[i-1])
            seged[i]=seged[i-1]+1;
        else
            seged[i]=seged[i-1];

    //for(int i=1;i<=n;i++)
        //cout<<seged[i];

    for(int i=0;i<q;i++)
    {
        if(seged[masodik[i]]-seged[elso[i]-1]>1)
            cout<<"NE"<<endl;
        else
        {
            int torol1=0, torol2=0;
            int mini=seged[elso[i]], maxi=seged[masodik[i]];
            for(int j=elso[i]+1;j<=masodik[i];j++)
                if(seged[j]<seged[j-1])
                    torol1++;
                else
                    mini=seged[j];
            for(int j=masodik[i]-1;j>=elso[i];j--)
            if(seged[j]<seged[j+1])
            {
                torol2++;
            }
            else
                maxi=seged[j];

            if(torol1<=1 || torol2<=1)
                cout<<"DA"<<endl;
            else
                cout<<"NE"<<endl;


        }


    }


    return 0;
}